LINUX.ORG.RU

Анонсирован проект MPlayer2

 ,


0

2

Основные отличия от оригинального MPlayer:

  • возможность смены настроек и выполнения команд в режиме паузы;
  • улучшенная поддержка Matroska;
  • более удобная работа с ffmpeg-mt;
  • улучшенная поддержка VDPAU;
  • более точное позиционирование;
  • отсутствие MEncoder в стандартной поставке;
  • отсутствие внутреннего GUI — GMPlayer;
  • по умолчанию для субтитров используется libass.

В настоящий момент проект доступен только в исходных кодах.

>>> Подробности

Ответ на: комментарий от vurdalak

проще поставить mplayer2-9999 из оверлея multimedia

fads ★★ ()

%))))
Поржал) Лучше бы пилили mplayer

Jetty ★★★★★ ()
Ответ на: комментарий от fads

fads> проще поставить mplayer2-9999 из оверлея multimedia

Поставил. Но он просит снести mplayer, а тогда smplayer не ставится.

vurdalak ★★★★★ ()
Ответ на: комментарий от Jetty

опенсорц же, фичи можно будет и бекпортнуть

fads ★★ ()
Ответ на: комментарий от vurdalak

тогда imho лучше из исходников поставить в /opt

fads ★★ ()
Ответ на: комментарий от fads

fads> тогда imho лучше из исходников поставить в /opt

Или просто написать ебилд, о чем я и прошу разработчиков :)

vurdalak ★★★★★ ()

Что то серьезные проекты последнее время колбасит как Африканский континент.

ded_mopozzz2 ★★ ()

Поясните для Ъ: команда mplayer разделилась/распалась? Или это как с grub2?

fractaler ★★★★★ ()

>отсутствие MEncoder в стандартной поставке;
Whyyyyyy!?

krolik80 ()
Ответ на: комментарий от fractaler

Апстрим мплеера очень неповоротливый. Патчи по году висят. Дальше думаю сам поймешь.

tensai_cirno ★★★★★ ()

Как-то это на минор смахивает :(

Shtsh ★★★★ ()

> улучшенная поддержка Matroska;
Вероятно имеется ввиду поддержка линковки, что актуально для релизов THORAnime.
> В настоящий момент проект доступен только в исходных кодах.
Есть PPA: ppa:ripps818/coreavc. Не обращайте внимание на название пакета и название PPA - внутри там mplayer2 (подтверждение).

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от krolik80

because..

The MEncoder codebase was thoroughly rotten

обещают добавить некий функционал для кодирования позже

fads ★★ ()

Спросим дружно: нафиг нужно?!

Вообще в последний год наметилась нездоровая тенденция — пить всё, что горит, и форкать всё, что шевелится. Ждём поручика Ржевского?

Oleaster ★★★ ()
Ответ на: комментарий от ded_mopozzz2

А чего ты хотел? Вся суть базарной разработки, характерной для большинства opensource проектов: лебедь, рак и щука годами не могут родить достойный продукт, в какой-то момент формируется достаточная критическая масса особо баттхертнутых разработчиков и они пафосно форкают проект.

monsta_kill ()
Ответ на: комментарий от tensai_cirno

так можно и до форка ядра договориться

dotbg ★★★★ ()

по умолчанию для субтитров используется libass используется libass libass

anonymous ()

Откуда такой форко-кипишь? Скажем так так, это просто потюненный mplayer, с патчам, которые не могут протолкнуть в апстрим. Вы же не называете Zen или pf форками ядра.

anonymous ()

Отличная новость! И, да, что там таки с XDG_CONFIG_HOME?

Mystra_x64 ★★★★★ ()
Ответ на: комментарий от dotbg

Пока что, просто нет достаточно больших групп недовольных разработчиков, как только они появятся, то форк будет неизбежен.

monsta_kill ()

>более точное позиционирование

Не распарсил. Позиционирование чего и где?

Polugnom ★★★★★ ()
Ответ на: комментарий от Polugnom

позиционирование по времени внутри видеоклипа

fads ★★ ()
Ответ на: комментарий от vurdalak
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/smplayer/smplayer-0.6.9.ebuild,v 1.7 2010/04/18 17:08:54 nixnut Exp $

EAPI="2"
LANGS="bg ca cs de en_US es et eu fi fr gl hu it ja ka ko ku mk nl pl pt_BR
pt sk sr sv tr zh_CN zh_TW"
LANGSLONG="ar_SY el_GR ro_RO ru_RU sl_SI uk_UA vi_VN"

inherit eutils qt4-r2

MY_PV=${PV##*_p}
if [[ "${MY_PV}" != "${PV}" ]]; then
	# svn snapshot
	MY_PV=r${MY_PV}
	MY_P=${PN}-${MY_PV}
	S="${WORKDIR}/${MY_P}"
	SRC_URI="mirror://gentoo/${MY_P}.tar.bz2"
else
	# regular upstream release
	SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
fi

DESCRIPTION="Great Qt4 GUI front-end for mplayer"
HOMEPAGE="http://smplayer.berlios.de/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE="debug"

DEPEND="x11-libs/qt-gui:4"
MPLAYER_USE="[ass,png]"
RDEPEND="${DEPEND}
	|| ( media-video/mplayer${MPLAYER_USE} media-video/mplayer2${MPLAYER_USE} )"

src_prepare() {
	# Force Ctrl+Q as default quit shortcut
	epatch "${FILESDIR}/${PN}-0.6.8-quit.patch"

	# Upstream Makefile sucks
	sed -i -e "/^PREFIX=/s:/usr/local:/usr:" \
		-e "/^DOC_PATH=/s:packages/smplayer:${PF}:" \
		-e '/\.\/get_svn_revision\.sh/,+2c\
	cd src && $(DEFS) $(MAKE)' \
		"${S}"/Makefile || die "sed failed"

	# Turn debug message flooding off
	if ! use debug ; then
		sed -i 's:#\(DEFINES += NO_DEBUG_ON_CONSOLE\):\1:' \
			"${S}"/src/smplayer.pro || die "sed failed"
	fi
}

src_configure() {
	cd "${S}"/src
	echo "#define SVN_REVISION \"SVN-${MY_PV} (Gentoo)\"" > svn_revision.h
	eqmake4
}

gen_translation() {
	ebegin "Generating $1 translation"
	lrelease ${PN}_${1}.ts
	eend $? || die "failed to generate $1 translation"
}

src_compile() {
	emake || die

	# Generate translations
	cd "${S}"/src/translations
	local lang= nolangs= x=
	for lang in ${LINGUAS}; do
		if has ${lang} ${LANGS}; then
			gen_translation ${lang}
			continue
		elif [[ " ${LANGSLONG} " == *" ${lang}_"* ]]; then
			for x in ${LANGSLONG}; do
				if [[ "${lang}" == "${x%_*}" ]]; then
					gen_translation ${x}
					continue 2
				fi
			done
		fi
		nolangs="${nolangs} ${lang}"
	done
	[[ -n ${nolangs} ]] && ewarn "Sorry, but ${PN} does not support the LINGUAS:" ${nolangs}
	# install fails when no translation is present (bug 244370)
	[[ -z $(ls *.qm 2>/dev/null) ]] && gen_translation en_US
}

src_install() {
	# remove unneeded copies of GPL
	rm -f Copying.txt docs/{cs,en,ja,ru}/gpl.html
	rm -rf docs/{de,es,nl,ro}

	# remove windows-only files
	rm "${S}"/*.bat

	emake DESTDIR="${D}" install || die
	prepalldocs
}
HTaeD ★★★ ()
Ответ на: комментарий от fads

А, так это перемещение по клипу? Ну тогда одобряю.

Polugnom ★★★★★ ()

И в чём новость?.. Проект существует уже год. Только раньше он назывался mplayer-uau.

HTaeD ★★★ ()

> отсутствие MEncoder в стандартной поставке;

м? а есть нестандартные? premium/professional/ultimate edition?

> по умолчанию для субтитров используется libass.

раньше использовался модифицированный libass. неужели он восстал и дорос до того, чтобы использовать ванильную либу?.. её же вроде много лет назад перестали развивать вне мплеера... и какие альтернативы? libasa что ли?

arsi ★★★★★ ()

дык это от Uoti Urpala, тот который mplayer git?

у которого поддержка mkv chapters, интересно...

anonymous ()
Ответ на: комментарий от HTaeD

И куда его класть? Он не будет конфликтовать с обычным ебилдом той же версии? Как portage поймет, кого из них ставить?

vurdalak ★★★★★ ()

А в отдельную либу его не собираются вынести?

karbofos ()

> * улучшенная поддержка VDPAU;

после инцеденов с Мозиллой-и-её-аппаратным-3D-ускорениеи — уже страшно подумать что вдруг следущий щаг в MPlayer2 — тоже будет чтото типа:

«занесение всех драйверов кроме NVidia в чёрный список, относительно функции аппаратного воспроизведения»

:-)

user_id_68054 ★★★★★ ()
Ответ на: комментарий от HTaeD

HTaeD> В локальный оверлей как smplayer-0.6.9-r1.

Создал оверлей, положил туда этот файл, но portage его не видит. ЧЯДНТ?

vurdalak ★★★★★ ()
Ответ на: комментарий от vurdalak

проверь в make.conf наличие строки source /var/lib/путь к локальному оверлею/make.conf

fads ★★ ()
Ответ на: комментарий от HTaeD

HTaeD> echo 'source /var/lib/layman/make.conf' >> /etc/make.conf

Ага, понял. Я свой оверлей записал в старый make.conf, который в /usr/local/portage/layman.

vurdalak ★★★★★ ()

Что за вомитогенная аватака, кошмар, помню раньше аватарок на лор не было...

А теперь к сути, название ыорка вводит в заблуждение, с оригиналным проектом требую переименовать.

anonymous ()
Ответ на: комментарий от HTaeD

Oh shit... Еще 2 пакета требуют mplayer. Как бы это дело завернуть, чтобы пакет mplayer перенаправлялся на mplayer2?

vurdalak ★★★★★ ()
Ответ на: комментарий от vurdalak

Редактируй ебилды и клади их в локальный оверлей.

HTaeD ★★★ ()
Ответ на: комментарий от HTaeD

HTaeD> Редактируй ебилды и клади их в локальный оверлей.

Все? Я вот думаю отредактировать mplayer так, чтобы он был виртульным пакетом для вытягивания mplayer2. И волки сыты, и овцы целы.

vurdalak ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.